import os
import mel_parser


def main():
    prog = mel_parser.parse('''
        int a, b = 5 * 2;
        a = input(); b = input();
        /* comment 1
        c = input();
        */
        c = a + b * (2 - 1) + 0 ; // comment 2
        print(c + 1 + "str" + true);;;;;
        while (a >= b || a > b && c == 1 + 1) {
            if (a > b)
                a = b;
            else
                b = a;
        } ;;;
        {};;;;
        a = 0;  ;;;
        for (;; a = a + 1) {
           print(a);
        }
        c = pow(pi, 2);

        int a(int b, abc c) {
          float d = b + c;
          print(d);
          return "abc";
        }
    ''')
    print(*prog.tree, sep=os.linesep)


if __name__ == "__main__":
    main()
